import microApps from './micro-app';
import store from './store';
import { registerMicroApps, start, addGlobalUncaughtErrorHandler,setDefaultMountApp } from 'qiankun';

console.log(store)
registerMicroApps(microApps, {
  beforeLoad: app => {
    console.log('before load app.name====>>>>>', app.name);
    store.commit('changeMicoApplication',app)
  },
  beforeMount: [
    app => {
      console.log('[LifeCycle] before mount %c%s', 'color: green;', app.name);
    },
  ],
  afterMount: [
    app => {
      console.log('[LifeCycle] after mount %c%s', 'color: green;', app.name);
    },
  ],
  afterUnmount: [
    app => {
      console.log('[LifeCycle] after unmount %c%s', 'color: green;', app.name);
    },
  ],
});
addGlobalUncaughtErrorHandler((event) => console.log(event));

setDefaultMountApp('/report/')
start();
